/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { BaseErrorStrategyBuilder } from '@managed-api/commons-core';
// Don't add any new methods if you don't have any custom errors to handle
export class ErrorStrategyBuilder extends BaseErrorStrategyBuilder {
    buildNewBuilder(options) {
        return new ErrorStrategyBuilder(options);
    }
    slackError(handler) {
        this.options.handleSlackError = handler;
        return new ErrorStrategyBuilder(this.options);
    }
}
//# sourceMappingURL=errorStrategy.js.map