/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DefsCommentIdAsResponse } from "../definitions/DefsCommentIdAsResponse";
import { DefsPinnedInfoAsResponse } from "../definitions/DefsPinnedInfoAsResponse";
import { DefsChannelAsResponse } from "../definitions/DefsChannelAsResponse";
import { ObjsReactionAsResponse } from "../definitions/ObjsReactionAsResponse";
import { DefsUserIdAsResponse } from "../definitions/DefsUserIdAsResponse";
export interface ObjsCommentAsResponse {
    comment: string;
    created: number;
    id: DefsCommentIdAsResponse;
    is_intro: boolean;
    is_starred?: boolean;
    num_stars?: number;
    pinned_info?: DefsPinnedInfoAsResponse;
    pinned_to?: Array<DefsChannelAsResponse>;
    reactions?: Array<ObjsReactionAsResponse>;
    timestamp: number;
    user: DefsUserIdAsResponse;
}
//# sourceMappingURL=ObjsCommentAsResponse.d.ts.map