/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DefsChannelIdAsResponse } from "../definitions/DefsChannelIdAsResponse";
import { DefsUserIdAsResponse } from "../definitions/DefsUserIdAsResponse";
import { DefsGroupIdAsResponse } from "../definitions/DefsGroupIdAsResponse";
import { DefsFileIdAsResponse } from "../definitions/DefsFileIdAsResponse";
import { DefsDmIdAsResponse } from "../definitions/DefsDmIdAsResponse";
import { DefsPinnedInfoAsResponse } from "../definitions/DefsPinnedInfoAsResponse";
import { DefsChannelAsResponse } from "../definitions/DefsChannelAsResponse";
import { ObjsReactionAsResponse } from "../definitions/ObjsReactionAsResponse";
import { DefsTeamAsResponse } from "../definitions/DefsTeamAsResponse";
export interface ObjsFileAsResponse {
    channels?: Array<DefsChannelIdAsResponse>;
    comments_count?: number;
    created?: number;
    date_delete?: number;
    display_as_bot?: boolean;
    editable?: boolean;
    editor?: DefsUserIdAsResponse;
    external_id?: string;
    external_type?: string;
    external_url?: string;
    filetype?: string;
    groups?: Array<DefsGroupIdAsResponse>;
    has_rich_preview?: boolean;
    id?: DefsFileIdAsResponse;
    image_exif_rotation?: number;
    ims?: Array<DefsDmIdAsResponse>;
    is_external?: boolean;
    is_public?: boolean;
    is_starred?: boolean;
    is_tombstoned?: boolean;
    last_editor?: DefsUserIdAsResponse;
    media_display_type?: string;
    mimetype?: string;
    mode?: string;
    name?: string;
    non_owner_editable?: boolean;
    num_stars?: number;
    original_h?: number;
    original_w?: number;
    permalink?: string;
    permalink_public?: string;
    pinned_info?: DefsPinnedInfoAsResponse;
    pinned_to?: Array<DefsChannelAsResponse>;
    pretty_type?: string;
    preview?: string;
    public_url_shared?: boolean;
    reactions?: Array<ObjsReactionAsResponse>;
    shares?: {
        private?: any;
        public?: any;
    };
    size?: number;
    source_team?: DefsTeamAsResponse;
    state?: string;
    thumb_1024?: string;
    thumb_1024_h?: number;
    thumb_1024_w?: number;
    thumb_160?: string;
    thumb_360?: string;
    thumb_360_h?: number;
    thumb_360_w?: number;
    thumb_480?: string;
    thumb_480_h?: number;
    thumb_480_w?: number;
    thumb_64?: string;
    thumb_720?: string;
    thumb_720_h?: number;
    thumb_720_w?: number;
    thumb_80?: string;
    thumb_800?: string;
    thumb_800_h?: number;
    thumb_800_w?: number;
    thumb_960?: string;
    thumb_960_h?: number;
    thumb_960_w?: number;
    thumb_tiny?: string;
    timestamp?: number;
    title?: string;
    updated?: number;
    url_private?: string;
    url_private_download?: string;
    user?: string;
    user_team?: DefsTeamAsResponse;
    username?: string;
}
//# sourceMappingURL=ObjsFileAsResponse.d.ts.map