/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DefsUserIdAsResponse } from "../definitions/DefsUserIdAsResponse";
import { DefsSubteamIdAsResponse } from "../definitions/DefsSubteamIdAsResponse";
import { DefsChannelIdAsResponse } from "../definitions/DefsChannelIdAsResponse";
import { DefsGroupIdAsResponse } from "../definitions/DefsGroupIdAsResponse";
import { DefsTeamAsResponse } from "../definitions/DefsTeamAsResponse";
export interface ObjsSubteamAsResponse {
    auto_provision: boolean;
    auto_type: null | "owner" | "admin";
    channel_count?: number;
    created_by: DefsUserIdAsResponse;
    date_create: number;
    date_delete: number;
    date_update: number;
    deleted_by: null | DefsUserIdAsResponse;
    description: string;
    enterprise_subteam_id: string;
    handle: string;
    id: DefsSubteamIdAsResponse;
    is_external: boolean;
    is_subteam: boolean;
    is_usergroup: boolean;
    name: string;
    prefs: {
        channels: Array<DefsChannelIdAsResponse>;
        groups: Array<DefsGroupIdAsResponse>;
    };
    team_id: DefsTeamAsResponse;
    updated_by: DefsUserIdAsResponse;
    user_count?: number;
    users?: Array<DefsUserIdAsResponse>;
}
//# sourceMappingURL=ObjsSubteamAsResponse.d.ts.map