/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DefsEnterpriseIdAsResponse } from "../definitions/DefsEnterpriseIdAsResponse";
import { DefsEnterpriseNameAsResponse } from "../definitions/DefsEnterpriseNameAsResponse";
import { ObjsExternalOrgMigrationsAsResponse } from "../definitions/ObjsExternalOrgMigrationsAsResponse";
import { ObjsIconAsResponse } from "../definitions/ObjsIconAsResponse";
import { DefsWorkspaceIdAsResponse } from "../definitions/DefsWorkspaceIdAsResponse";
import { ObjsPrimaryOwnerAsResponse } from "../definitions/ObjsPrimaryOwnerAsResponse";
export interface ObjsTeamAsResponse {
    archived?: boolean;
    avatar_base_url?: string;
    created?: number;
    date_create?: number;
    deleted?: boolean;
    description?: null | string;
    discoverable?: null | string;
    domain: string;
    email_domain: string;
    enterprise_id?: DefsEnterpriseIdAsResponse;
    enterprise_name?: DefsEnterpriseNameAsResponse;
    external_org_migrations?: ObjsExternalOrgMigrationsAsResponse;
    has_compliance_export?: boolean;
    icon: ObjsIconAsResponse;
    id: DefsWorkspaceIdAsResponse;
    is_assigned?: boolean;
    is_enterprise?: number;
    is_over_storage_limit?: boolean;
    limit_ts?: number;
    locale?: string;
    messages_count?: number;
    msg_edit_window_mins?: number;
    name: string;
    over_integrations_limit?: boolean;
    over_storage_limit?: boolean;
    pay_prod_cur?: string;
    plan?: "" | "std" | "plus" | "compliance" | "enterprise";
    primary_owner?: ObjsPrimaryOwnerAsResponse;
    sso_provider?: {
        label?: string;
        name?: string;
        type?: string;
    };
}
//# sourceMappingURL=ObjsTeamAsResponse.d.ts.map