/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DefsOptionalAppIdAsResponse } from "../definitions/DefsOptionalAppIdAsResponse";
import { DefsBotIdAsResponse } from "../definitions/DefsBotIdAsResponse";
import { DefsWorkspaceIdAsResponse } from "../definitions/DefsWorkspaceIdAsResponse";
export interface ObjsUserProfileAsResponse {
    always_active?: boolean;
    api_app_id?: DefsOptionalAppIdAsResponse;
    avatar_hash: string;
    bot_id?: DefsBotIdAsResponse;
    display_name: string;
    display_name_normalized: string;
    email?: null | string;
    fields: any | null | Array<any>;
    first_name?: null | string;
    guest_expiration_ts?: null | number;
    guest_invited_by?: null | string;
    image_1024?: null | string;
    image_192?: null | string;
    image_24?: null | string;
    image_32?: null | string;
    image_48?: null | string;
    image_512?: null | string;
    image_72?: null | string;
    image_original?: null | string;
    is_app_user?: boolean;
    is_custom_image?: boolean;
    is_restricted?: null | boolean;
    is_ultra_restricted?: null | boolean;
    last_avatar_image_hash?: string;
    last_name?: null | string;
    memberships_count?: number;
    name?: null | string;
    phone: string;
    pronouns?: string;
    real_name: string;
    real_name_normalized: string;
    skype: string;
    status_default_emoji?: string;
    status_default_text?: string;
    status_default_text_canonical?: null | string;
    status_emoji: string;
    status_expiration?: number;
    status_text: string;
    status_text_canonical?: null | string;
    team?: DefsWorkspaceIdAsResponse;
    title: string;
    updated?: number;
    user_id?: string;
    username?: null | string;
}
//# sourceMappingURL=ObjsUserProfileAsResponse.d.ts.map