/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PreferredAuthOption } from "../common";
import { UserIdOption } from "../common";
import { DefsOkTrueAsResponse } from "../definitions/DefsOkTrueAsResponse";
import { DefsTsAsResponse } from "../definitions/DefsTsAsResponse";
import { DefsOkFalseAsResponse } from "../definitions/DefsOkFalseAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetEmojisRequest extends HeadersOption, ErrorStrategyOption, PreferredAuthOption, UserIdOption {
}
declare type GetEmojisResponseOKType = {
    ok: DefsOkTrueAsResponse;
    emoji: {
        [x: string]: string;
    };
    cache_ts?: DefsTsAsResponse;
};
export interface GetEmojisResponseOK extends GetEmojisResponseOKType {
}
declare type GetEmojisResponseErrorType = {
    ok: DefsOkFalseAsResponse;
};
export interface GetEmojisResponseError extends GetEmojisResponseErrorType {
}
export {};
//# sourceMappingURL=emoji.d.ts.map