/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { AnythingButUndefined, BaseErrorStrategyBuilder } from '@managed-api/commons-core';
import { SlackError } from '../common';
import { AdditionalErrorTypes, CommonError, ErrorStrategyHandlers } from '../errorStrategy';
export declare class ErrorStrategyBuilder extends BaseErrorStrategyBuilder<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers> {
    protected buildNewBuilder(options?: ErrorStrategyHandlers): any;
    slackError(handler: (error: SlackError, attempt: number) => AnythingButUndefined): ErrorStrategyBuilder;
}
//# sourceMappingURL=errorStrategy.d.ts.map