/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DefsUserIdAsResponse } from "../definitions/DefsUserIdAsResponse";
import { DefsWorkspaceIdAsResponse } from "../definitions/DefsWorkspaceIdAsResponse";
import { DefsEnterpriseIdAsResponse } from "../definitions/DefsEnterpriseIdAsResponse";
import { DefsChannelAsResponse } from "../definitions/DefsChannelAsResponse";
import { DefsTeamAsResponse } from "../definitions/DefsTeamAsResponse";
import { DefsTsAsResponse } from "../definitions/DefsTsAsResponse";
import { ObjsMessageAsResponse } from "../definitions/ObjsMessageAsResponse";
import { ObjsTeamAsResponse } from "../definitions/ObjsTeamAsResponse";
export declare type ObjsConversationAsResponse = {
    accepted_user?: DefsUserIdAsResponse;
    connected_team_ids?: Array<string>;
    conversation_host_id?: DefsWorkspaceIdAsResponse;
    context_team_id?: string;
    created: number;
    creator?: DefsUserIdAsResponse;
    enterprise_id?: DefsEnterpriseIdAsResponse;
    has_pins?: boolean;
    id: string;
    internal_team_ids?: Array<DefsTeamAsResponse>;
    is_archived?: boolean;
    is_channel?: boolean;
    is_ext_shared?: boolean;
    is_frozen?: boolean;
    is_general?: boolean;
    is_global_shared?: boolean;
    is_group?: boolean;
    is_im: boolean;
    is_member?: boolean;
    is_moved?: number;
    is_mpim?: boolean;
    is_non_threadable?: boolean;
    is_open?: boolean;
    is_org_default?: boolean;
    is_org_mandatory?: boolean;
    is_org_shared: boolean;
    is_pending_ext_shared?: boolean;
    is_private?: boolean;
    is_read_only?: boolean;
    is_shared?: boolean;
    is_starred?: boolean;
    is_thread_only?: boolean;
    is_user_deleted?: boolean;
    last_read?: DefsTsAsResponse;
    latest?: ObjsMessageAsResponse | null;
    locale?: string;
    members?: Array<DefsUserIdAsResponse>;
    name?: string;
    name_normalized?: string;
    num_members?: number;
    parent_conversation?: DefsChannelAsResponse | null;
    pending_connected_team_ids?: Array<DefsTeamAsResponse>;
    pending_shared?: Array<DefsTeamAsResponse>;
    pin_count?: number;
    previous_names?: Array<string>;
    priority?: number;
    shared_team_ids?: Array<DefsTeamAsResponse>;
    timezone_count?: number;
    unlinked?: number;
    unread_count?: number;
    unread_count_display?: number;
    use_case?: string;
    user?: DefsUserIdAsResponse;
    version?: number;
    display_counts?: {
        display_counts: number;
        guest_counts: number;
    };
    purpose?: {
        creator: string;
        last_set: number;
        value: string;
    };
    shares?: Array<{
        date_create?: number;
        accepted_user?: DefsUserIdAsResponse;
        id: DefsTeamAsResponse;
        is_active: boolean;
        name?: string;
        team: ObjsTeamAsResponse;
        user?: DefsUserIdAsResponse;
    }>;
    topic?: {
        creator: string;
        last_set: number;
        value: string;
    };
};
//# sourceMappingURL=ObjsConversationAsResponse.d.ts.map